Favicon

You are here: Home > API Reference > Platform > Segment Role > List segment roles

GET /organizations/:organizationId/segment-roles

Required Permission: base.organization.segmentRole.list

List segment roles

GET
https://api.applivery.io/v1/organizations/{organizationId}/segment-roles
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/segment-roles" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/segment-roles", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/segment-roles",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

Responses

200 Response application/json
status boolean required
data array [object] required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
name string required
≤ 256 characters
slug string required
≤ 256 characters
actions array [string] required
{
    "status": true,
    "data": [
        {
            "id": "string",
            "name": "string",
            "slug": "string",
            "actions": [
                "string"
            ]
        }
    ]
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}